CREATE SCHEMA bk_config_db;

CREATE TABLE bk_config_db.organization_settings(
    id int GENERATED BY DEFAULT AS IDENTITY,
    oin varchar(20) NOT NULL,
    name varchar(255) NOT NULL,
    discovery_url varchar(2048) NOT NULL,
    PRIMARY KEY (id)
);

CREATE TABLE bk_config_db.keypairs(
    id int GENERATED BY DEFAULT AS IDENTITY,
    private_key text,
    public_key text,
    PRIMARY KEY (id)
);
